// Support functions for Atmel flash PROMs

// D-X Designs, November 1995   D. R. Brooks

#include <stdio.h>
#include <mem.h>
#include "dxstds.h"
#include "timing.h"
#include "datafile.h"
#include "prombase.h"
#include "hardware.h"
#include "atmel.h"

//class Atmel : public PROM {
//private:

void AtmelCmd(byte argt) {    //Atmel 3-byte command formats

   #define Acmd1  0xAA               //Atmel prefix bytes
   #define Acmd2  0x55
   #define Acloc1 0x5555             //Atmel command locations
   #define Acloc2 0x2AAA

   SetAddress(Acloc1);
   WriteByte (Acmd1);
   SetAddress(Acloc2);
   WriteByte (Acmd2);
   SetAddress(Acloc1);
   WriteByte (argt);
   }

//======================================================================

//public:

   #pragma argsused          //Ignore name here
   Atmel::Atmel(char *name) {              //Constructor: set max. address
      MaxAddr = 0x8000;
      Part.IDbyte[0] = 0x1F;
      Part.IDbyte[1] = 0xDC;
      }

   void Atmel::Identify (chipID *tstID,     //Test for part type
			 chipID *oldID,
			 chipID *newID) {

      #define IDlocn 0                     //Part ID address in PROM

      #define AcIDon  0x90
      #define AcIDoff 0xF0

      memcpy(tstID,&Part,sizeof(Part));
      ReadBlock (oldID, sizeof(chipID), IDlocn);
      AtmelCmd  (AcIDon);                  //Identifier mode
      Wait10ms();
      ReadBlock (newID, sizeof(chipID), IDlocn);
      AtmelCmd  (AcIDoff);                 //Normal mode
      Wait10ms();
      };

//=====================================================================

#pragma argsused

   boolean Atmel::WritePROM(DataFile *bufptr,
			    long basad) {
      fprintf(stdout,"Atmel programming algorithm\n");
      return TRUE;
      };

// };           End of class Atmel
