// User's comfort (bar graph) utility

// D-X Designs Pty. Ltd.  November 1995   D. R. Brooks

/********************************************************************

  Bargraphs are drawn as a "user's comfort" during slow operations.
The standard graph occupies 50 screen columns, and advances one
column every 2% of the job.
*/
#include <stdio.h>
#include "dxstds.h"
#include "bargraph.h"

   BarGraph::BarGraph(long totalsize) {             //Initialise it
      BGtotal  = totalsize;
      BGsofar  = 0;
      BGcol    = 0;
      fprintf(stdout,  "===0         2         4         6         8         100%");
      fprintf(stdout,"\n   ");
      }

   void BarGraph::StepBarGraph(long thispiece) {   //Take another bite
   int BGtemp;

   BGsofar += thispiece;
   BGtemp = (int) ((BGsofar * 50) / BGtotal);
   while (BGtemp > BGcol) {
      fprintf(stdout,"-");
      BGcol++;
      }
   }

   BarGraph::~BarGraph() {                        //Close it: next line
   fprintf(stdout,"\n");
   }

