; Port definitions for the FDC37C665/6 combo chips
; Prefix a "_" as some names clash with Z180 names

; Diskette controller

_DOR    equ     92h     ;Digital Output
_MSR    equ     94h     ;Main Status
_DSR    equ     94h     ;Data-rate Select
_DATA   equ     95h     ;Data & commands I/O
_DIR    equ     97h     ;Digital Input
_CCR    equ     97h     ;Confign. Control

_DMA	equ	0a0h	;Diskette DMA address


; Serial port           ;RD/WR

_RBR    equ     98h     ;R      Receiver buffer
_THR    equ     98h     ;W      Transmit holding reg.
_IER    equ     99h     ;RW     Interrupt-enable reg.
_IIR    equ     9ah     ;R      Interrupt ident. reg.
_FCR    equ     9ah     ;W      FIFO control reg.
_LCR    equ     9bh     ;RW     Line control reg.
_MCR    equ     9ch     ;RW     Modem control reg.
_LSR    equ     9dh     ;RW     Line status reg.
_MMSR   equ     9eh     ;RW     Modem status reg. (name clash w. FDC)
_SCR    equ     9fh     ;N/A    Scratch reg. (not avail. in XT)
_DDL    equ     98h     ;RW     Divisor LSB | with DLAB
_DLM    equ     99h     ;RW     Divisor MSB | set high
