// Hardware functions for Flash-ROM loader
// Written in Assembler for speed (needed for Atmel)

// D-X Designs Pty. Ltd.   November 1995

// Source file = HARDWARE.ASM

#define RAMchip 0x2000         //Address modifiers to select sockets
#define ROMchip 0

// Read data from PROM to program buffer

extern "C" {

   void     ReadBlock (        //No returns
	    void far *LPdata,  //Buffer address
            word Count,        //Buffer length
            long PROMaddr);    //Starting PROM address

// Write data from program buffer to PROM

   void     WriteBlock (       //No returns
	    void far *LPdata,  //Buffer address
            word Count,        //Buffer length
            long PROMaddr);    //Starting PROM address

// Low-level functions: set hardware PROM pointer

   void     SetAddress (       //No returns
	    long PROMaddr);    //17-bit PROM address to set

// Low-level functions: increment the PROM address pointer

   void BumpAddr ();           //No returns

// Low-level functions: write 1 byte to PROM

   void     WriteByte (        //No returns
	    byte data );       //To write

// Low-level functions: read 1 byte from PROM

    byte    ReadByte ();       //Return byte as read

// Low-level functions: run one step of the TAP port

   byte     OneStep (          //Returns bit 0 = DONE, bit 7 = TDO
	    word TMS,               //TRUE for TMS signal
	    word TDI);              //TRUE for TDI signal

   }