| Basic tests of serial loader
| Tests:
| Load address = RAM: 01F07 (ie 11F07)
| Increment address
| Write data   = E5
| Read data    = 5B
|
wave loader.wfm [a-z]*
vector din d[7:0]
step 0.5us
clock tck 0 1
l tdi a17
h tms gsr m0i mreqb rdi wri
sim 1us
l gsr
sim 2us                 || Load RAM: 11F07 to address reg. (Cmnd. 00)

l tms
l tdi                   |Cmnd 1
sim 1us
h tms
l tdi                   |Cmnd 2 (final)
sim 1us
l tms

l tdi                   |MS addr. bit (select ROM)
sim 1us
h tdi
sim 1us
l tdi
sim 3us
h tdi
sim 5us
l tdi
sim 5us
h tdi
sim 2us
h tms
sim 1us                 |Last data shift
|sim 5us                |Pause in IDLE

l tms                   || Increment the address counter (Cmnd. 01)
l tdi                   |Cmnd. 1
sim 1us
h tms
h tdi                   |Cmnd. 2
sim 1us

sim 2us                 |Time for it to execute

|sim 7us                |Idle

l tms                   || Write 1 byte of E5 (Cmnd. 10)
h tdi                   |Cmnd. 1
sim 1us
h tms
l tdi                   |Cmnd. 2
sim 1us

l tms                   |Repeat 7 times (data bits 7..1)
h tdi
sim 3us
l tdi
sim 2us
h tdi
sim 1us
l tdi
sim 1us
h tms                   |Final bit
h tdi
sim 1us

sim 2us                 |Time to execute

l tms                   || Read 1 byte (Cmnd. 11)
h tdi                   |Cmnd. 1
sim 1us
h tms
h tdi                   |Cmnd. 2
sim 1us

assign din 5b\h         |Read data
sim 1us

l tms                   |Shift 8 data bits
sim 7us
h tms
sim 1us                 |Final bit

sim 5us                 |Idle

