// Standard class outlines for vendor-specific flash PROMs

// D-X Designs, November 1995   D. R. Brooks

#include "dxstds.h"
#include "datafile.h"
#include "prombase.h"
#include "hardware.h"
#include "bargraph.h"

//Dummy declarations for the virtual functions
// These are always overridden by the part-specific functions, but
// are still necessary to satisfy the Linker.

#pragma argsused
void PROM::Identify (chipID *tstID,     //Test for part type
		     chipID *oldID,
		     chipID *newID) {
                     } ;

#pragma argsused
boolean PROM::WritePROM(DataFile*,long) {
	return TRUE ;
	};

// Read routine is common to all PROM types

#define bucket 64                    //Bytes read per bargraph update

void PROM::ReadPROM (DataFile *bufptr,long basad) {
   word index = 0;
   word ctr = bufptr->Length;
   BarGraph comfort(ctr);
   while ((long) ctr > bucket) {
      comfort.StepBarGraph(bucket);
      ReadBlock(&bufptr->FileData[index],
		bucket,
		basad + index);
      ctr -= bucket;
      index += bucket;
      }
   if (ctr > 0) {
      comfort.StepBarGraph(ctr);
      ReadBlock(&bufptr->FileData[index],
		ctr,
		basad + index);
      }
      return;
	};
